-- Get the menu simulations
local main_menu_simulations = data.raw["utility-constants"]["default"].main_menu_simulations

if settings.startup["testing-disable-defaults"].value == true then
  for k in pairs (main_menu_simulations) do
    main_menu_simulations [k] = nil
  end
end


main_menu_simulations.me_adding_it =
{
  checkboard = false,
  save = "__Testing__/menu-simulations/menu-simulation-biter-base.zip",
  length = 60 * 12,
  init =
  [[

	local logo = game.surfaces.nauvis.find_entities_filtered{name = "factorio-logo-11tiles", limit = 1}[1]
    logo.destructible = false
    game.camera_position = {logo.position.x, logo.position.y+9.75}
    center = {logo.position.x, logo.position.y+9.75}
    game.camera_zoom = 1
    game.tick_paused = false
    game.surfaces.nauvis.daytime = 0

  ]]
}